using RDH.Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace RDH.Data.BLL
{
    public partial class StorageSpacePortableLinkTransactionBLL : BaseOrclBLL<StorageSpacePortableLinkTransaction>
    {

        public StorageSpacePortableLinkTransactionBLL() : base()
        {
            AliasTableName = "splt";
        }

        internal override String TABLE_NAME { get { return "S_S_P_L_TRANSACTION"; } }//TB_NAME
        internal override string ENTITY_NAME { get { return "StorageSpacePortableLinkTransaction"; } }
        internal override String KEY_COLUMN { get { return "KEY"; } }//KEY_COLUMN


        internal override void InitMaps()
        {
            ColumnPropMaps.Add("KEY", "Key");
            ColumnPropMaps.Add("PST_KEY", "PortableStorageTransactionkey");
            ColumnPropMaps.Add("SSPL_KEY", "StoragespacePortbaleLinkkey");
            ColumnPropMaps.Add("DEVICE_KEY", "DeviceKey");
            ColumnPropMaps.Add("STORAGE_SPACE_KEY", "StorageSpaceKey");
            ColumnPropMaps.Add("STORAGE_SPACE_SNAPSHOT_KEY", "StorageSpaceSnapshotKey");
            ColumnPropMaps.Add("PLAN_KEY", "PlanKey");//COLUMN_MAPS
            ColumnPropMaps.Add("CREATE_BY", "CreateBy");
            ColumnPropMaps.Add("CREATE_TIME", "CreateTime");
            ColumnPropMaps.Add("FLAG", "Flag");
            ColumnPropMaps.Add("CLIENT_TIME", "ClientTime");
            ColumnPropMaps.Add("SERVER_TIME", "ServerTime");
            ColumnPropMaps.Add("EXT01", "Ext01");
            ColumnPropMaps.Add("EXT02", "Ext02");
            ColumnPropMaps.Add("EXT03", "Ext03");
            ColumnPropMaps.Add("EXT04", "Ext04");
            ColumnPropMaps.Add("EXT05", "Ext05");
            ColumnPropMaps.Add("EXT06", "Ext06");
            ColumnPropMaps.Add("EXT07", "Ext07");
            ColumnPropMaps.Add("EXT08", "Ext08");
            ColumnPropMaps.Add("EXT09", "Ext09");
            ColumnPropMaps.Add("EXT10", "Ext10");
        }

        internal override object GetParam(StorageSpacePortableLinkTransaction storagespaceitemtransaction)
        {
            return new
            {

                Key = storagespaceitemtransaction.Key,
                PortableStorageTransactionkey = storagespaceitemtransaction.PortableStorageTransactionkey,
                StoragespacePortbaleLinkkey = storagespaceitemtransaction.StoragespacePortbaleLinkkey,
                CreateBy = storagespaceitemtransaction.CreateBy,
                CreateTime = storagespaceitemtransaction.CreateTime,
                Flag = storagespaceitemtransaction.Flag,
                ClientTime = storagespaceitemtransaction.ClientTime,
                ServerTime = storagespaceitemtransaction.ServerTime,
                Ext01 = storagespaceitemtransaction.Ext01,
                Ext02 = storagespaceitemtransaction.Ext02,
                Ext03 = storagespaceitemtransaction.Ext03,
                Ext04 = storagespaceitemtransaction.Ext04,
                Ext05 = storagespaceitemtransaction.Ext05,
                Ext06 = storagespaceitemtransaction.Ext06,
                Ext07 = storagespaceitemtransaction.Ext07,
                Ext08 = storagespaceitemtransaction.Ext08,
                Ext09 = storagespaceitemtransaction.Ext09,
                Ext10 = storagespaceitemtransaction.Ext10,
                DeviceKey = storagespaceitemtransaction.DeviceKey,
                StorageSpaceKey = storagespaceitemtransaction.StorageSpaceKey,
                StorageSpaceSnapshotKey = storagespaceitemtransaction.StorageSpaceSnapshotKey,
                PlanKey = storagespaceitemtransaction.PlanKey,   //Params
            };
        }
    }

}
